<template>
<!-- <lightning-card title="HelloWorld" icon-name="custom:custom15">
    <div class="slds-m-around_medium">
        <p>Hello, {greeting}!</p>
        <lightning-input label="Name" value={greeting} onchange={changeHandler}></lightning-input>
    </div>
</lightning-card> -->
<lightning-card title = "Search Accounts" icon-name = "custom:custom11">  

        <div class = "slds-m-around_medium">
            <lightning-input type="search" onchange={findAccountResult} class = "slds-m-bottom_small" label = "Search"> </lightning-input>
            
            <lightning-datatable key-field="Id" data={accountList} columns={columnList} hide-checkbox-column="true" show-row-number-column="true">
            </lightning-datatable>

            <template if:true= {noRecordsFound}>
                --No Account Records Found--
            </template>
            
        </div>
        
    </lightning-card>
</template>